summaryrefslogtreecommitdiffstats
path: root/system/herculesstudio/herculesstudio.SlackBuild
diff options
context:
space:
mode:
author Niels Horn2010-05-13 01:00:51 +0200
committer Erik Hanson2010-05-13 01:00:51 +0200
commite3643e46abae75a4e506bd002e8f8125b643d84e (patch)
tree3091329b0f15168968970817491c17317741643e /system/herculesstudio/herculesstudio.SlackBuild
parent9de55a8d377188eb3c2d5644f84cbc0177c66a63 (diff)
downloadslackbuilds-e3643e46abae75a4e506bd002e8f8125b643d84e.tar.gz
system/herculesstudio: Added to 13.0 repository
Diffstat (limited to 'system/herculesstudio/herculesstudio.SlackBuild')
-rw-r--r--system/herculesstudio/herculesstudio.SlackBuild81
1 files changed, 81 insertions, 0 deletions
diff --git a/system/herculesstudio/herculesstudio.SlackBuild b/system/herculesstudio/herculesstudio.SlackBuild
new file mode 100644
index 0000000000..f946aa331e
--- /dev/null
+++ b/system/herculesstudio/herculesstudio.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for herculesstudio
+# a GUI for the Hercules Emulator
+
+# Written by Niels Horn <niels.horn@gmail.com>
+# revision date 2010/01/27
+
+PRGNAM=herculesstudio
+VERSION=${VERSION:-1.1.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+PRGUNTARRED=HerculesStudio
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGUNTARRED
+tar xvf $CWD/$PRGNAM-$VERSION-src.tar.gz
+cd $PRGUNTARRED
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Correct "target.path"
+sed -i "s,/usr/local/,/usr/,g" $PRGUNTARRED.pro
+
+qmake
+make
+make install INSTALL_ROOT=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+# Copy icon & desktop file to package
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+# Copy documentation to the docs directory
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING INSTALL INSTALL-BIN \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Build the package
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+